.BoxService {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    width: 80%;
    max-width: 995px;
    height: auto; /* changed from 400px to auto */
    overflow: hidden;
    padding: 0px; /* added padding */
    border-radius: 20px;
    margin: 20px auto; /* added margin */
    border: 2px solid #A8DADC;
    box-sizing: border-box; /* added box-sizing */
}

.BoxInfo {
    width: 50%;
    padding: 0px;
    background-color: #A8DADC;
    display: flex;
    flex-direction: column; /* changed from row to column */
    justify-content: center; /* centered vertically */
    align-items: center; /* centered horizontally */
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}
.BoxInfo:nth-child(odd) {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.BoxInfo p {
    padding: 20px;
    background-color: transparent;
    font-size: 20px;
    font-weight: lighter;
    margin: 0;
    text-align:justify; /* centered text */
}

.BoxTilteImage {
    width: 50%;
    padding: 0px;
    background-color: #F1FAEE;
    display: flex;
    flex-direction: column; /* changed from row to column */
    justify-content: center; /* centered vertically */
    align-items: center; /* centered horizontally */
    border-radius: 10px; /* added border-radius */
}

.BoxTilteImage h5 {
    font-size: 25px;
    font-weight: bolder;
    color: #000000;
    padding: 5px;
    margin: 0;
    text-align: center; /* centered text */
}

.BoxTilteImage img {
    max-width: 100%; /* added to ensure image responsiveness */
    height: auto;
    margin-top: 10px; /* added spacing between title and image */
}

@media (max-width: 876px) {
    .BoxInfo p {
        font-size: 2vw;
    }
    .BoxTilteImage h5 {
        font-size: 4vw;
    }
}
